Bug 1021862 - virt-viewer can not configure multi-dispalys optionally
virt-viewer can not configure multi-dispalys optionally
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
:
Depends On: 1021845
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 04:43 EDT by CongDong
Modified: 2015-05-11 18:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1021845
Environment:
Last Closed: 2013-12-16 02:44:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CongDong 2013-10-22 04:43:24 EDT
+++ This bug was initially created as a clone of Bug #1021845 +++
Can reproduce this on RHEL7, so clone this.

# rpm -qa virt-viewer spice*
virt-viewer-0.5.7-1.el7.x86_64
spice-gtk3-0.20-2.el7.x86_64
spice-server-0.12.4-1.el7.x86_64
spice-gtk-0.20-2.el7.x86_64
spice-glib-0.20-2.el7.x86_64
spice-vdagent-0.14.0-3.el7.x86_64


Description of problem:
Virt-viewer can not configure multi-displays optionally

Version-Release number of selected component (if applicable):
# rpm -qa virt-viewer spice*
spice-gtk-0.20-9.el6.x86_64
spice-glib-0.20-9.el6.x86_64
virt-viewer-0.5.2-18.el6.x86_64
spice-server-0.12.4-6.el6.x86_64
spice-vdagent-0.14.0-2.el6.x86_64
spice-gtk-python-0.20-9.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
Scenario 1:
1. Prepare a rhel guest.
2. Configure the guest with only 1 display, use virt-viewer to connect it.
#virt-viewer vm
3. View - > Displays - > Display 4(check on)
4. Can see display 4 come out, but display 2 and display 3 will come out too.

Scenario 2:
5. Configure the guest with 4 displays.
6. View - > Displays - > Display 2(check off)
7. After check off the display, the display 2 will disappear, but it will come out soon.

Actual results:
As step 4 and 7.

Expected results:
Can configure the displays optionally.
Step4, display 2 and display 3 should not come out.
Step7, display 2 should not come out again.

Additional info:

--- Additional comment from CongDong on 2013-10-22 04:19:02 EDT ---



--- Additional comment from CongDong on 2013-10-22 04:19:43 EDT ---
Comment 1 CongDong 2013-10-22 04:46:20 EDT
Can reproduce this with :
virt-viewer-0.5.7-2.el7.x86_64
Comment 3 CongDong 2013-11-21 03:37:46 EST
With the latest pkgs can not reproduce this bug.
And can not reproduce this with the same pkgs in description.

Note You need to log in before you can comment on or make changes to this bug.